VDPAU

Data Fields
VdpBitstreamBuffer Struct Reference
Core API » VdpDecoder; Video Decoding object

Application data buffer containing compressed video data. More...

`#include <vdpau.h>`

## Data Fields
uint32_t | struct_version
void const * | bitstream
uint32_t | bitstream_bytes

## Detailed Description

Application data buffer containing compressed video data.

## Field Documentation

## ◆ bitstream

void const* VdpBitstreamBuffer::bitstream

A pointer to the bitstream data bytes

## ◆ bitstream_bytes

uint32_t VdpBitstreamBuffer::bitstream_bytes

The number of data bytes

## ◆ struct_version

uint32_t VdpBitstreamBuffer::struct_version

This field must be filled with VDP_BITSTREAM_BUFFER_VERSION

The documentation for this struct was generated from the following file:

- vdpau/vdpau.h